// Description: Menu with AJAX
// Author: Igor Jamnicky, 2007

window.onload = function () {
 if (!document.getElementById||!document.createElement) return;
 var id, ul;
 var li = document.getElementById("menu").getElementsByTagName("li");
 for (var i=0; i<li.length; i++) 
 if (id = li[i].getAttribute("id")) {
  ul = document.createElement("ul");
  li[i].appendChild(ul);
  requestHttp (ul,id);
 }
} 

function requestHttp(ul,id) {
 var url = '/menu/menu-s-ajaxom/menu.php?id='+escape(id);
 var request = null;
 try { request = new XMLHttpRequest();}
 catch(e) {
  try { request = new ActiveXObject('Microsoft.XMLHTTP'); }
  catch(e) {}
 }
 if(request != null) {
  request.onreadystatechange = function() {
   if (request.readyState == 4) {
    if (request.status == 200) {
     var li = ul.parentNode;
     if (request.responseText.charAt(0) == '<') { 
      ul.innerHTML = request.responseText;
      ul.onmouseover = function () {this.className = "active";} 
      ul.onmouseout = function () {this.className = "";} 
      li.onmouseover = function () {this.className = "hover";} 
      li.onmouseout = function () {this.className = "";} 
      li.onclick = function () {this.className = ""; return true;}
     }  
    }
   } 
  }
  request.open("GET", url, true);
  request.send(null);
 }
}
